org.eclipse.net4j.signal.security

## Class AuthenticationRequest

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalActor
    - - org.eclipse.net4j.signal.RequestWithConfirmation<RESULT>
      - - org.eclipse.net4j.signal.RequestWithMonitoring<DiffieHellman.Client.Response>
        - - org.eclipse.net4j.signal.security.AuthenticationRequest

- All Implemented Interfaces:
    java.lang.Runnable

      public class AuthenticationRequest
      extends RequestWithMonitoring<DiffieHellman.Client.Response>

  Since:
    4.3
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.RequestWithMonitoring

      `DEFAULT_CANCELATION_POLL_INTERVAL, DEFAULT_MONITOR_PROGRESS_SECONDS, DEFAULT_MONITOR_TIMEOUT_SECONDS`

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationRequest(SignalProtocol<?> protocol, java.lang.Enum<?> literal, DiffieHellman.Server.Challenge challenge)`
    `AuthenticationRequest(SignalProtocol<?> protocol, short signalID, DiffieHellman.Server.Challenge challenge)`
    `AuthenticationRequest(SignalProtocol<?> protocol, short id, java.lang.String name, DiffieHellman.Server.Challenge challenge)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DiffieHellman.Client.Response` | `confirming(ExtendedDataInputStream in, OMMonitor monitor)` Important Note: The confirmation must not be empty, i.e.
    `protected void` | `requesting(ExtendedDataOutputStream out, OMMonitor monitor)`

    - ### Methods inherited from class org.eclipse.net4j.signal.RequestWithMonitoring

      `confirming, getCancelationExecutorService, getCancelationPollInterval, getConfirmingWorkPercent, getMonitorProgressSeconds, getMonitorTimeoutSeconds, getRequestingWorkPercent, requesting, send, send, send, send, sendAsync, sendAsync`

    - ### Methods inherited from class org.eclipse.net4j.signal.RequestWithConfirmation

      `getAsyncExecutorService`

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalActor

      `execute`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationRequest

          public AuthenticationRequest(SignalProtocol<?> protocol,
                                       short id,
                                       java.lang.String name,
                                       DiffieHellman.Server.Challenge challenge)

    - #### AuthenticationRequest

          public AuthenticationRequest(SignalProtocol<?> protocol,
                                       short signalID,
                                       DiffieHellman.Server.Challenge challenge)

    - #### AuthenticationRequest

          public AuthenticationRequest(SignalProtocol<?> protocol,
                                       java.lang.Enum<?> literal,
                                       DiffieHellman.Server.Challenge challenge)

  - ### Method Detail

    - #### requesting

          protected void requesting(ExtendedDataOutputStream out,
                                    OMMonitor monitor)
                             throws java.lang.Exception

      Specified by:
        `requesting` in class `RequestWithMonitoring<DiffieHellman.Client.Response>`
      Throws:
        `java.lang.Exception`

    - #### confirming

          protected DiffieHellman.Client.Response confirming(ExtendedDataInputStream in,
                                                             OMMonitor monitor)
                                                      throws java.lang.Exception

      Description copied from class: `RequestWithMonitoring`
      Important Note: The confirmation must not be empty, i.e. the stream must be used at least to read a `boolean`. Otherwise synchronization problems will result!
      Specified by:
        `confirming` in class `RequestWithMonitoring<DiffieHellman.Client.Response>`
      Throws:
        `java.lang.Exception`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html